% The classification toolbox is a Matlab toolbox that is specifically tailored
% to work together with FieldTrip for the purpose of offline and online 
% single-trial analysis in cognitive neuroscience. However, it can be used 
% as a standalone machine learning toolbox as well.  
%
% This code requires at least Matlab distribution 7.6.0.324 (R2008a)
%
% Copyrights (C) 2008
% Intelligent Systems (http://www.ru.is/ml)
% FC Donders Centre (http://www.ru.nl/fcdonders/)
% Radboud University Nijmegen, The Netherlands
%
% Most functions in this toolbox are licensed under the GNU General
% Public license (GPL), see http://www.gnu.org for details.
%
% Unauthorised copying and distribution of functions that are not
% explicitely covered by the GPL is not allowed!
%
% The functions in this toolbox are copyrighted by their authors:
%
%   Marcel van Gerven 
%   Ali Bahramisharif
%   Pawel Herman
%   Jason Farquhar
%
%   Donders Institute for Brain, Cognition and Behaviour
%
% The toolbox depends on functions from other toolboxes to
% do some of the actual work. These other toolboxes on which 
% the framework depends are copyrighted by their respective authors, 
% see each individual matlab file for the details. Currently the following 
% external toolboxes are used and should be downloaded when needed:
%
% gpml-matlab:
% gaussian processes, logistic regression, minimization 
% http://www.gaussianprocess.org/gpml/code/matlab/doc/
%
% hugin: 
% bayesian networks
% commerical toolbox; free trial version available.
% http://www.hugin.com/Products_Services/Products/Demo/Lite/
%
% minFunc:
% logistic regression, minimization
% http://www.cs.ubc.ca/~schmidtm/Software/minFunc.html
%
% netlab:
% nearest neighbour
% http://www.ncrg.aston.ac.uk/netlab/
%
% For various examples about the functionality of this toolbox, please check
% out the examples folder or use the help function to the methods. 
% Users of FieldTrip should check out fieldtrip_example.m
%
% SEE ALSO:
%    preprocessor.m
%    featureselector.m    
%    classifier.m
%    validator.m
%    evaluate.m
%    significance.m
%
% TO DO:
%
%   handle external toolboxes consistently
%   deal with cell arrays consistently
%   rewrite inner crossvalidation for parameter selection
%   make more use of inheritance (parameter checking etc)
%   check EM code for mixture models
%   rewrite examples 
%   add more documentation
%   improve fieldtrip integration
%   add simple gui
%   add version testing
%
% $Log: Contents.m,v $
