function [data,design] = shuffle(data,design)
% shuffle (randomize) examples
%
%
%   Copyright (c) 2008, Marcel van Gerven
%
%   $Log: shuffle.m,v $
%

    if iscell(data)
        
        % try to keep the same permutation when possible
        prm = randperm(size(data{1},1))';
        
        if ~iscell(design), design = design(prm,:); end
                    
        for c=1:length(data)
            
            sz = size(data{c});
            
            if size(prm,1) ~= sz(1)
                prm = randperm(sz(1));
            end

            % first randomize the ordering of the data
            data{c} = reshape(data{c}(prm,:),sz);

            if iscell(design)
                design{c} = design{c}(prm,:);
            end
        end
    else
        sz = size(data);
        
        prm = randperm(sz(1));
        data = reshape(data(prm,:),sz);
        design = design(prm,:);
    end
end